Logoelepay
Sources

Create source

Creates a customer source.

POST
/customers/{customerId}/sources
Customer ID
Payment method - auto Auto detection (available for CPM payments only) - alipay Alipay - alipayhk AlipayHK - alipayplus Alipay+ - amazonpay Amazon Pay - applepay Apple Pay - applepay_cn Apple Pay (China) - atokara Atokara - atone atone (pay next month at convenience stores) - aupay au Pay - clicktopay Click To Pay - banktransfer Bank transfer - creditcard Credit card - dana DANA - docomopay d Payment - ezlink EZ-Link - felica E-money - felica_id iD - felica_quickpay QUICPay - felica_transport_ic Transit IC card - gcash GCash - ginkopay Bank Pay - googlepay Google Pay - jcoinpay J-Coin Pay - jkopay JKOPAY - kakaopay Kakao Pay - konbini Convenience store payment - linepay LINE Pay - merpay Merpay - origamipay Origami Pay - paidy Paidy (pay next month) - paypal PayPal - paypay PayPay - pxpayplus AllPay - rakutenpay Rakuten Pay - smartcode Smart Code - tng Touch 'n Go eWallet - truemoney TrueMoney - unionpay UnionPay QuickPass - wechatpay Wechat Pay - aeonpay AEON Pay - rabbitlinepay Rabbit LINE Pay - bpi BPI - boost Boost - hellomoney HelloMoney by AUB - tosspay Toss Pay - naverpay Naver Pay - wellwa WellWa Points - grabpay Grab Pay - momopay Momo Pay - promptpay Prompt Pay - wovenpay Woven City Pay - ezopay EZO Pay
Payment resource - web Web browser - ios iOS native app - android Android native app - liff LINE LIFF app - mini WeChat Mini Program - cpm CPM payment (customer-presented QR code) - mpm MPM payment (merchant-presented QR code) - reader Card reader payment (reader device required) - posapp POS app payment (POS app integration required)
Description of the customer source
length ≤ 255
Used when there is additional payment-related information. For details, refer to 'Developer Guide -> Source Extra Information Settings'.
Metadata

Response Body

application/json

OK

TypeScript Definitions

Use the response body type in TypeScript.

response?SourceDto

Customer source object

curl -X POST "https://api.elepay.io/customers/string/sources" \  -H "Content-Type: application/json" \  -d '{    "paymentMethod": "alipay",    "resource": "web"  }'
{
  "id": "string",
  "object": "source",
  "liveMode": true,
  "paymentMethod": "alipay",
  "resource": "web",
  "description": "string",
  "extra": {},
  "info": {},
  "cardInfo": {
    "brand": "string",
    "last4": "string",
    "expMonth": 0,
    "expYear": 0,
    "name": "string",
    "issuerCode": "string",
    "issuerName": "string",
    "wallet": "string",
    "walletApp": "string",
    "repaymentType": "string",
    "approvalCode": "string",
    "threeDSecure": true,
    "threeDSecureVersion": "string",
    "threeDSecureDetail": "string",
    "businessType": "string",
    "konbiniScanTime": 0,
    "konbiniType": "string",
    "receivedAmount": 0,
    "receivedTime": 0,
    "bankUserCode": "string",
    "bankUserName": "string",
    "bankName": "string",
    "bankBranchName": "string",
    "bankAccountNo": "string",
    "billingNo": "string"
  },
  "metadata": {},
  "credential": "string",
  "status": "pending"
}